- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions

# GLM_GTX_associated_min_max: Associated Min/Max

GTX Extensions (Experimental)

Min and max functions that return associated values not the compared onces. More...

## Functions
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMax (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b)
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMax (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b, const genTypeT &z, const genTypeU &c)
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMax (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b, const genTypeT &z, const genTypeU &c, const genTypeT &w, const genTypeU &d)
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMin (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b, const genTypeT &z, const genTypeU &c)
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMin (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b)
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMin (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b, const genTypeT &z, const genTypeU &c, const genTypeT &w, const genTypeU &d)

## Detailed Description

Min and max functions that return associated values not the compared onces.

<glm/gtx/associated_min_max.hpp> need to be included to use these functionalities.